Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.learning
Class BinaryDeltaRule

    java.lang.Object
      java.util.Observable
          org.neuroph.core.learning.LearningRule
              org.neuroph.core.learning.IterativeLearning
                  org.neuroph.core.learning.SupervisedLearning
                      org.neuroph.nnet.learning.LMS
                          org.neuroph.nnet.learning.PerceptronLearning
                              org.neuroph.nnet.learning.BinaryDeltaRule

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class BinaryDeltaRule

extends PerceptronLearning

Delta rule learning algorithm for perceptrons with step functions. The difference to Perceptronlearning is that Delta Rule calculates error before the non-lnear step transfer function

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.learning.SupervisedLearning
`maxError, previousEpochError, totalNetworkError`

Fields inherited from class org.neuroph.core.learning.IterativeLearning
`currentIteration, iterationsLimited, learningRate, maxIterations`

Fields inherited from class org.neuroph.core.learning.LearningRule
`neuralNetwork`

Constructor Summary
`BinaryDeltaRule()` Creates new BinaryDeltaRule learning
`BinaryDeltaRule(NeuralNetwork neuralNetwork)` Creates new BinaryDeltaRule learning for the specified neural network

Method Summary
`double` | `getErrorCorrection()` Gets the errorCorrection parametar
`void` | `setErrorCorrection(double errorCorrection)` Sets the errorCorrection parametar
`protected void` | `updateNetworkWeights(java.util.Vector<java.lang.Double> patternError)` This method implements weight update procedure for the whole network for this learning rule

Methods inherited from class org.neuroph.nnet.learning.PerceptronLearning
`updateNeuronWeights`

Methods inherited from class org.neuroph.nnet.learning.LMS
`updateTotalNetworkError`

Methods inherited from class org.neuroph.core.learning.SupervisedLearning
`doLearningEpoch, errorChangeStalled, getMaxError, getMinErrorChange, getMinErrorChangeIterationsCount, getMinErrorChangeIterationsLimit, getPatternError, getPreviousEpochError, getTotalNetworkError, hasReachedStopCondition, learn, learn, learnPattern, reset, setMaxError, setMinErrorChange, setMinErrorChangeIterationsLimit`

Methods inherited from class org.neuroph.core.learning.IterativeLearning
`doOneLearningIteration, getCurrentIteration, getLearningRate, isPausedLearning, learn, learn, pause, resume, setLearningRate, setMaxIterations`

Methods inherited from class org.neuroph.core.learning.LearningRule
`getNeuralNetwork, getTrainingSet, isStopped, notifyChange, run, setNeuralNetwork, setTrainingSet, stopLearning`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryDeltaRule

    public BinaryDeltaRule()

  Creates new BinaryDeltaRule learning

### BinaryDeltaRule

    public BinaryDeltaRule(NeuralNetwork neuralNetwork)

  Creates new BinaryDeltaRule learning for the specified neural network

  Parameters:
    `neuralNetwork` -

Method Detail

### updateNetworkWeights

    protected void updateNetworkWeights(java.util.Vector<java.lang.Double> patternError)

  This method implements weight update procedure for the whole network for this learning rule

  Overrides:
    `updateNetworkWeights` in class `LMS`
  Parameters:
    `patternError` - single pattern error vector if the output is 0 and required value is 1, increase rthe weights if the output is 1 and required value is 0, decrease the weights otherwice leave weights unchanged

### getErrorCorrection

    public double getErrorCorrection()

  Gets the errorCorrection parametar

  Returns:
    errorCorrection parametar

### setErrorCorrection

    public void setErrorCorrection(double errorCorrection)

  Sets the errorCorrection parametar

  Parameters:
    `errorCorrection` - the value for errorCorrection parametar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD